clc;

% System parameters

Pn = 150;       %Inverter power: 150 W
En = 36;        %Grid voltage: 36 V
fn = 50;        %Grid frequency: 50 Hz
fsw = 20000;    %Switching frequency: 20000 Hz
wn = 2*pi*fn;
wsw = 2*pi*fsw;


% Base values

Zb = (En^2)/Pn;
Cb = 1/(wn*Zb);
Lb = Zb/wn;

% Tolerable decrease of power factor

x = 0.05;

% Ripple reduction

reduction = 0.1;

% Filter parameters

Linv = 0.011    %Inverter side inductance: 6 mH
Cf = x*Cb       %Filter capacitor, 0.000010

[r]=r_calculation(reduction,Linv,Cb,wsw,x)

Lg = r*Linv     %Grid side inductance (including transformer inductance) 0.0001

% Calculation of wres

wres = sqrt((Linv+Lg)/(Linv*Lg*Cf));

Zc_sw = 1/(wres*Cf);        
Rd = 0.33*Zc_sw             %Damping resistance

display('run of LCL param finished!');